@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

html {
    overflow-x: hidden;    
    overflow-y: scroll;
    width: 100vw;
    height: 100vh;
    scroll-behavior: smooth !important;
}

body {
    background: #ebebeb;
    margin: 0;
    padding: 0;
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    overflow-x: hidden;
    /* padding-bottom: 100px; */    
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: #333a;
}

::-webkit-scrollbar-thumb {
    background: #aaa;
    border-radius: 4px;
}

#header {    
    background: none;/*#3f7b49;*/
    position: absolute; 
    left: 100px; 
    top: 50px;
    height: 100px;
    width: calc(100vw - 100px);
    box-shadow: none;/*0 0 8px 2px rgba(0,0,0,0.2);*/
    border: none;
    z-index: 110;
    font-weight: 300;
    transition: background-color 0.2s linear;
}

#header h2 {    
    font-size: 50px;
    color: #eee;    
    /*text-shadow: 0 0 3px #333;*/
    font-weight: 200;
    user-select: none;
    cursor: default;    
    position: absolute;
    top: 35px;
    left: 150px;
}

#header img {
    width: 120px;
    position: absolute;
    top: 50px;
}

#headermenuBtn {
    display: none;
}

#header ul {
    list-style: none;
    margin: 0;
    padding: 0;
    position: absolute;
    right: 10px;
    top: 0;
}

#header ul li {
    float: left;
    padding: 0 20px;
    height: 52px;
    margin: 0;
    line-height: 52px;
    color: #ffffff;    
    text-shadow: 0 0 3px #595959;
    cursor: pointer;
}

#body_1 {
    width: 100vw;
    height: 100vh;
    background-image: url('images/australia_2.jpg');    
    background-size: cover;
}

#body_1 ul {
    position: absolute;
    right: 10px;
    top: 0px;
    list-style: none;
    color: #fff;
    font-size: 25px;
    text-align: right;
}

#body_1 ul li {
    padding: 30px 30px;
    cursor: pointer;
}

.window {
    width: 100vw;
    min-height: 100vh;
    position: relative;    
    background: radial-gradient(circle at left, #cbdee7 , #537f69);
    background-repeat: no-repeat;    
}

.sub_window {
    min-height: 100vh;
}

#about_blob {
    width: 360px;
    position: absolute;
    right: 25vw;
    top: 25vh;
    color: #ddd;
    font-size: 20px;
    text-align: justify;
}

#about_blob h2 {
    font-size: 40px;
    font-weight: 200;
    text-align: center;
}

.window #services_title {
    width: 100vw;
    font-size: 50px;
    color: #ffffff;
    text-align: center;
    font-weight: 200;
    position: absolute;
}

#services_container {
    width: 100vw;
    position: relative;
    top: 150px;
    color: #ffffff;
    display: flex;
    flex-wrap: wrap;    
    justify-content: center;
    align-items: center;
}

.service_block {
    width: 300px;
    height: 550px;
    background: #fff;
    color: #333;
    margin: 0px 30px;
    text-align: center;
    box-shadow: 3px 4px 11px 0px rgb(0, 0, 0, 0.53);
    padding-top: 60px;
    position: relative;
    background-size: 60px 360px;
    background-image: url(images/harptrap.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 0px -130px;
    border-radius: 5px;    
    transition: box-shadow 0.2s ease-in-out;
    will-change: flex, width, transform;
}

.service_block h2 { 
    font-weight: 300;
    color: #087a06;
    position: absolute;
    bottom: 195px;
    width: 100%;
}

.service_block p {
    position: absolute; 
    bottom: 0;
    text-align: justify;
    padding: 10px 25px;
    height: 170px;
}

.service_block:hover {
    box-shadow: 0px 0px 11px 2px rgb(0, 0, 0, 0.53);
    cursor: pointer;
}

.read_more {    
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    width: 100%;
    height: 400px;
    background: radial-gradient(circle at top left, #fff6, #fff4);
    opacity: 0;
    transition: opacity 0.2s linear;
}

.service_block:hover .read_more {
    opacity: 1;    
}

.detailed_service_block {
    width: 620px;
    height: 550px;
    background: #fff;
    border-radius: 5px;
    display: none;    
    position: relative;
    transition: 1s ease-in-out;        
    box-shadow: 3px 4px 11px 0px rgb(0, 0, 0, 0.53);

    padding: 20px;
    padding-top: 40px;

    color: #333;
}

.detailed_service_block h3 {
    font-weight: 300;
    color: #087a06;
}

.detailed_service_block p {
    text-align: justify;
}

.detailed_stick_bottom {
    width: calc(100% - 40px);
    text-align: center !important;
    position: absolute;
    bottom: 0;
}

.close_detailed {
    position: absolute;
    top: 10px;
    right: 10px;
    color: #921b1b;
    font-size: 25px;
    line-height: 25px;
    width: 25px;
    height: 25px;
    text-align: center;
    cursor: pointer;
}

#spect_container {    
    display: block;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    background: #000;
}

#spect_container p {
    width: 320px;
    position: absolute;
    left: calc(25% - 160px);
    top: calc(50vh - 70px);
    color: #eee;
    font-weight: 100;
    border: 1px solid #eeeeee38;
    border-width: 0 1px 1px 0;
    padding: 40px;
    line-height: 30px;
    border-bottom-right-radius: 2px;
    animation: fadeInAnimation ease 4s 1;
}

#tile_spect_container {
    position: absolute;
    left: 100px;
    top: 50px;
    display: block;
    width: 800px;
    height: calc(80vh - 40px);
    mask: url("images/spectTile.svg") no-repeat center;    
    background: #000;
    margin-top: 60px;
    z-index: 1;
}

#spectrogram {
    background: #000 url(images/spectrogram.png) repeat-x;
    background-size: 33.33% 100vh;    
    position: absolute;
    top: 0px;
    left: 0px;
    height: 100vh;
    width: calc(3 * 5895px);
    overflow: hidden;
    animation: spectrogramScroll 250s linear infinite;
}


#logo_overlay {
    width: 100%;
    height: 100vh;
    background-image: url(logos/logo_eeeeee.svg);
    background-repeat: no-repeat;
    background-position-x: 40vw;
    background-size: 100%;
    filter: opacity(0.1);
    position: absolute;
    top: 0;
    right: 0px;
    background-position-y: 40%;
}

.window_nav {
    position: fixed;
    right: 0;
    top: 0;
    width: 50px;
    height: 100vh;    
    z-index: 100;
    font-weight: 100;
    color: #fff6;
    font-size: 30px;
}

.window_nav #up_page {
    position: absolute;
    top: 20px;
    right: 10px;
    width: 50px;
    height: 50px;
    display: none;
}

.window_nav #down_page {
    position: absolute;
    bottom: 20px;
    right: 10px;
    width: 50px;
    height: 50px;    
}

.chevron {
    display: block;
    position: absolute;
    top: 50vh;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    z-index: 100;
    color: #fffa;
    font-size: 50px;
    text-align: center;
    line-height: 43px;
    transition: color 0.5s linear;
    cursor: pointer;
    user-select: none;
}

.chevron:hover {
    color: #fff;
}

.chevron#service_left {
    left: 10px;
}

.chevron#service_right {
    right: 10px !important;
}

#bubble_container {
    width: 100%;
    height: 30px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    position: absolute;
    top: calc(100vh - 50px);
    left: 0;
}

.bubble {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    border: 1px solid #fff;
    background: none;
    margin: 10px;
    transition: background-color 0.1s linear;
}

.bubble[data-active-bubble] {
    background: #fffa;
}

.service_window[data-active-service] {
    display: block !important;
}

.title {
    position: absolute;
    top: 0;
    left: 222px;
    color: #fff;
    text-align: left;
    height: 100vh;
    width: 300px;    
    font-weight: 200;
    user-select: none;
    cursor: default;
    font-size: 70px;
    animation: fadeInAnimation ease 3s 1;
    justify-content: center;
    display: flex;
    align-items: center;
}

#seemore_btn {
    width: 100px;
    height: 30px;
    color: #eee;
    font-family: 'Roboto';
    font-weight: 100;
    border: 1px solid #eee;
    border-radius: 3px;
    background: none;
    position: absolute;
    right: calc(33.33% - 50px);
    top: calc(50vh + 55px);
    animation: fadeInAnimation ease 3.2s 1;
}

.icon_container {
    padding-top: 120px;
    width: 60%;
    margin: auto;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}
/*
.icon_display::before,.icon_display::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: calc(100% - 2px);
}

.icon_display::before {
    height: 30px;
    bottom: 0px;
    border: solid #333;
    border-width: 0px 1px 1px 2px;
    transform: skew(45deg);
    transform-origin: left top;
    background: #fff;
    left: -1px;
  }

  .icon_display::after {
    height: calc(100% - 30px);
    top: 0px;
    border: 1px solid #333;
    border-width: 1px 1px 0px 1px;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    width: 100%;
    background: #fff;
    z-index: -1;
  }*/

.icon_display {
    width: 300px;
    height: 300px;
    background: #fff; 
    position: relative;
    margin: 30px;
    border-radius: 3px;
    box-shadow: 0 0 8px 2px rgba(0,0,0,0.2);
    clip-path: url("#tilePath");    
}

.icon_mask {
    width: 100px;
    height: 100px;
    position: absolute;
    left: calc(50% - 50px);
    top: 50px;
    background: linear-gradient(121deg, #4de371, #4050ff);
    mask: url("images/fast_turnaround.svg") no-repeat center;
    mask-size: 70px;
}

.icon_display span {
    display: block;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: #3ba73a;
    color: #fff;
    font-size: 18px;
    line-height: 30px;
    text-align: center;
    position: relative;
    left: -10px;
    top: -10px;
}

.icon_display img {
    
}

.icon_display p {
    width: 80%;
    position: absolute;
    bottom: 10px;
    left: 10%;
    text-align: center;
}

#service_info {
    position: relative;
    top: 30px;
    margin-bottom: -50px;
    width: 60%;
    min-width: 900px;
    margin: auto;
    display: flex;
    flex-direction: column;
}

#service_select {
    list-style: none;
    margin: 0;
    padding: 0;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

#service_select li {
    padding: 0;
    margin: 0;
    float: left;
}

#service_select h2:hover {
    background: rgba(0,0,0, 0.1);
}

#service_select h2[data-active-tab] {
    background: rgba(0,0,0, 0.08);
    border-bottom: 2px solid #3ba73a;
}

#service_select h2 {
    /* width: 100%; */
    height: 40px;
    line-height: 40px;
    text-align: center;
    border-bottom: 2px solid #aaa;
    /* padding-right: 20px; */
    margin: 0;
    /* margin-right: 20px; */
    font-weight: 300;
    font-size: 14px;
    user-select: none;
    cursor: pointer;
    padding: 10px;
    margin: 5px;
}

.info_collapse {
    width: 80%;
    /*height: 100vh;*/
    position: relative;
    margin: auto;
    /* top: -80px; */
    display: none;
}

.info_collapse ul li {
    padding: 8px 0;
}

.information_list h2 {
    font-size: 20px;
    color: #333;
    font-weight: 400;
}

.information_list img {
    width: 350px;
    float: right;    
    padding: 0 20px;
}

.info_block {
    position: relative;
    width: 100%;
    display: inline-block
}

.divisor-title {
    display: block;
    margin: auto;
    width: 80%;
    min-width: 900px;
    border-bottom: 1px solid; 
    border-image: linear-gradient(90deg, #0000, #999, #0000) 1;
    font-size: 20px;
    font-weight: 300;
    text-align: center;
    margin-top: 30px;
    margin-bottom: 50px;
}

.divisor-title span {
    background: #ebebeb;
    position: relative;
    top: 12px;
    padding: 15px;       
}

#body_2 {
    position: relative;
    top: 70px;
    left: 70px;
    display: none;
}

.interested_in {
    margin: 50px 0;    
    margin-left: 20px;
}

.interested_in h2 {
    color: #333;
    font-size: 25px;
    font-weight: 300;
}

.interested_in p {
    padding-left: 20px;
}

.blob-container {
    position: absolute;
    left: calc(25vw  - 150px);
    top: calc(50vh - 150px);
    width: 300px;
    height: 300px;
}

.blob {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle at 50% 50%, #6ab3f8 0%, #559de8 100%);
    border-radius: 50%;
    animation: blob-animation 8s infinite ease-in-out;
  }

  .blob:nth-child(2) {
    background: radial-gradient(circle at 50% 50%, #7cc5ff 0%, #67adeb 100%);
    animation: blob-animation-2 12s infinite ease-in-out;
    filter: blur(15px);
  }

  .blob:nth-child(3) {
    background: radial-gradient(circle at 50% 50%, #8dd5ff 0%, #74bdf1 100%);
    animation: blob-animation-3 10s infinite ease-in-out;
    filter: blur(35px);
  }

  @keyframes blob-animation {
    0%, 100% {
      transform: scale(1) translate(0, 0) rotate(0deg);
    }
    25% {
      transform: scale(1.1) translate(-15px, 15px) rotate(10deg);
    }
    50% {
      transform: scale(1.2) translate(10px, -20px) rotate(-10deg);
    }
    75% {
      transform: scale(0.9) translate(-20px, 10px) rotate(5deg);
    }
  }

  @keyframes blob-animation-2 {
    0%, 100% {
      transform: scale(1) translate(0, 0) rotate(0deg);
    }
    20% {
      transform: scale(1.15) translate(20px, -25px) rotate(15deg);
    }
    50% {
      transform: scale(1.3) translate(-15px, 10px) rotate(-5deg);
    }
    80% {
      transform: scale(1) translate(5px, 20px) rotate(10deg);
    }
  }

  @keyframes blob-animation-3 {
    0%, 100% {
      transform: scale(1) translate(0, 0) rotate(0deg);
    }
    15% {
      transform: scale(1.05) translate(-10px, 5px) rotate(-5deg);
    }
    45% {
      transform: scale(1.2) translate(15px, -15px) rotate(20deg);
    }
    70% {
      transform: scale(0.95) translate(-20px, 20px) rotate(-10deg);
    }
  }

.footer {    
    bottom: 0;
    left: 0;
    width: 100vw;
    height: 300px;
    background-color: #292929;
    color: #ddd;
    position: relative;
    padding: 10px;
    margin-bottom: -20px;
   
}

.footer #footer_name {
    /*top: 25px;
    left: 70px;*/
    width: 220px;
    height: 50px;
    line-height: 55px;
    position: relative;
}

.footer #footer_logo {
    width: 50px;
    height: 50px;
    background-color: #fdd57b;
    mask: url("logos/logo_fdd57b.svg") no-repeat center;
    mask-size: 50px;
    /*position: absolute;
    left: 20px;
    top: 20px;*/
}

.footer span {
    position: absolute;
    width: calc(100% - 20px);
    text-align: center;
}

#footer_name_logo_container {
    display: flex;
    width: 280px;    
    height: 50px;
    position: absolute;
    top: 30px;
    left: calc(50% - 140px);
    flex-direction: row;
    justify-content: space-between;
}

#linkedinlogo {    
    width: 220px;
    height: 100px;
    position: absolute;
    left: calc(50% - 110px);
    background: #fff;
    mask: url("logos/LinkedIn-Logos/LI-Logo.png") no-repeat center;
    mask-size: 130px;
    cursor: pointer;
}

@keyframes spectrogramScroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-90%);
    }
}

@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}